> For the complete documentation index, see [llms.txt](https://docs.nuvolos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuvolos.com/reference/applications/application-resources/available-application-sizes.md).

# Available Application sizes

Nuvolos currently supports three flavours for Application sizing. The three flavours differ in what type of specific resources are allocated for an Application.

1. **CPU-focused**: Provides enhanced parallelization capabilities, ideal for multi-threaded software and complex processing schemes.
2. **GPU-focused**: Integrates dedicated graphics processing power, built specifically for AI/ML models and GPU-reliant workloads.
3. **Storage and memory-focused**: Provides high RAM allocations and expanded swap space, designed for memory-heavy or I/O-intensive tasks.

## CPU-focused

<table><thead><tr><th width="122">vCPU</th><th width="139.8333740234375">RAM  (Memory, GB)</th><th>CPU family</th></tr></thead><tbody><tr><td>8</td><td>32</td><td>Intel Xeon 8473C/8370C/8573C</td></tr><tr><td>16</td><td>32</td><td>AMD EPYC 9004</td></tr><tr><td>16</td><td>64</td><td>Intel Xeon 8473C/8370C/8573C</td></tr><tr><td>16</td><td>128</td><td>Intel Xeon 8473C/8370C/8573C</td></tr><tr><td>32</td><td>64</td><td>AMD EPYC 9004</td></tr><tr><td>32</td><td>64</td><td>Intel Xeon 8370C/8262CL/8168/8573C</td></tr><tr><td>32</td><td>128</td><td>Intel Xeon 8473C/8370C/8573C</td></tr><tr><td>64</td><td>128</td><td>AMD EPYC 9004</td></tr><tr><td>64</td><td>256</td><td>Intel Xeon 8473C/8370C/8573C</td></tr><tr><td>64</td><td>1,024</td><td>Intel Xeon 8280M/E7-8890</td></tr><tr><td>120</td><td>448</td><td>Dual-socket EPYC 7773X</td></tr></tbody></table>

## GPU-based

<table><thead><tr><th width="88.16668701171875">vCPU</th><th width="139">RAM (Memory, GB)</th><th width="204.9998779296875">GPU</th><th>VRAM (GB)</th></tr></thead><tbody><tr><td>6</td><td>55</td><td>⅙  Tesla A10</td><td>4</td></tr><tr><td>4</td><td>28</td><td>Tesla T4</td><td>16</td></tr><tr><td>12</td><td>110</td><td>⅓  Tesla A10</td><td>8</td></tr><tr><td>12</td><td>112</td><td>Tesla M60</td><td>8</td></tr><tr><td>6</td><td>112</td><td>Tesla V100</td><td>16</td></tr><tr><td>36</td><td>440</td><td>Tesla A10</td><td>24</td></tr><tr><td>24</td><td>220</td><td>Tesla A100</td><td>80</td></tr><tr><td>64</td><td>440</td><td>4X Tesla T4</td><td>64</td></tr><tr><td>40</td><td>320</td><td>Tesla H100</td><td>94</td></tr><tr><td>20</td><td>160</td><td>½ Tesla H100 </td><td>47</td></tr></tbody></table>

## Storage-focused

<table><thead><tr><th width="87.3333740234375">vCPU</th><th width="141.6666259765625">RAM  (Memory, GB)</th><th>Additional temporary local storage (GB)</th></tr></thead><tbody><tr><td>8</td><td>64</td><td>1,920</td></tr><tr><td>16</td><td>128</td><td>3,840</td></tr><tr><td>32</td><td>256</td><td>1,200</td></tr><tr><td>64</td><td>1,024</td><td>7,168</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nuvolos.com/reference/applications/application-resources/available-application-sizes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
